> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit Job

> Use this API to check and avoid any potential notice towards your TCS return



## OpenAPI

````yaml api-reference/tds/analytics/openapi.json POST /tcs/analytics/potential-notices
openapi: 3.1.0
info:
  title: analytics
  version: 1.0.0
  description: ''
servers:
  - url: https://test-api.sandbox.co.in
  - url: https://api.sandbox.co.in
security: []
paths:
  /tcs/analytics/potential-notices:
    post:
      tags:
        - Potential Notices
        - TCS
      summary: Create TCS Potential Notice Job
      parameters:
        - name: x-api-key
          in: header
          required: true
          description: API key for identification
          deprecated: false
          schema:
            type: string
        - name: authorization
          in: header
          required: true
          description: JWT access token
          deprecated: false
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API Version
          schema:
            type: string
      requestBody:
        content:
          application/json:
            examples:
              200 Q2 Job created:
                summary: 200 Q2 Job created
                value:
                  '@entity': in.co.sandbox.tcs.analytics.potential_notice.request
                  quarter: Q2
                  tan: AHMA09719B
                  financial_year: FY 2023-24
              200 Q3 Job created:
                summary: 200 Q3 Job created
                value:
                  '@entity': in.co.sandbox.tcs.analytics.potential_notice.request
                  quarter: Q3
                  tan: AHMA09719B
                  financial_year: FY 2023-24
              200 Submitted Job will fail:
                summary: 200 Submitted Job will fail
                value:
                  '@entity': in.co.sandbox.tcs.analytics.potential_notice.request
                  quarter: Q3
                  tan: BLRC23456F
                  financial_year: FY 2023-24
              422 Invalid TAN:
                summary: 422 Invalid TAN
                value:
                  '@entity': in.co.sandbox.tcs.analytics.potential_notice.request
                  quarter: Q3
                  tan: DABC2345DD
                  financial_year: FY 2023-24
              422 Invalid Quarter:
                summary: 422 Invalid Quarter
                value:
                  '@entity': in.co.sandbox.tcs.analytics.potential_notice.job
                  quarter: Q5
                  tan: EABC23456N
                  financial_year: FY 2023-24
              422 Invalid Financial Year:
                summary: 422 Invalid Financial Year
                value:
                  '@entity': in.co.sandbox.tcs.analytics.potential_notice.request
                  quarter: Q3
                  tan: AHMA09719B
                  financial_year: '2022'
            schema:
              type: object
              properties:
                '@entity':
                  type: string
                  const: in.co.sandbox.tcs.analytics.potential_notice.request
                quarter:
                  type: string
                  description: Quarter for which TDS is being filed
                  enum:
                    - Q1
                    - Q2
                    - Q3
                    - Q4
                tan:
                  type: string
                  description: >-
                    TAN of deductor. Regular Expression:
                    [A-Z]{4}[0-9]{5}[A-Z]{1}
                  pattern: '[A-Z]{4}[0-9]{5}[A-Z]{1}'
                financial_year:
                  type: string
                  description: >-
                    Financial Year for which TDS is being filed. (eg. FY
                    2024-25)
                  example: FY 2024-25
              required:
                - '@entity'
                - quarter
                - tan
                - financial_year
      responses:
        '200':
          description: 200 - OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  timestamp:
                    type: integer
                  transaction_id:
                    type: string
                  data:
                    type: object
                    properties:
                      '@entity':
                        type: string
                        const: in.co.sandbox.tcs.analytics.potential_notices.job
                      job_id:
                        type: string
                      tan:
                        type: string
                      quarter:
                        type: string
                      financial_year:
                        type: string
                      status:
                        type: string
                      created_at:
                        type: integer
                      json_url:
                        type: string
                        format: uri
              examples:
                200 Q2 Job created:
                  value:
                    code: 200
                    timestamp: 1763633700000
                    transaction_id: 1c1e4905-d07e-4c51-b8c5-1163050ded7f
                    data:
                      '@entity': in.co.sandbox.tcs.analytics.potential_notices.job
                      job_id: 1c1e4905-d07e-4c51-b8c5-1163050ded7f
                      tan: AHMA09719B
                      quarter: Q2
                      financial_year: FY 2023-24
                      status: created
                      created_at: 1709026684599
                      json_url: >-
                        https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/AHMS45586C/FY+2025-26/Q3/26Q/4049c226-4988-4978-b5ad-d25705453da8/26Q_validation_report.xlsx
                200 Q3 Job created:
                  value:
                    code: 200
                    timestamp: 1763633700000
                    transaction_id: 6588064b-38d5-4f01-b93c-795dbec4a5df
                    data:
                      '@entity': in.co.sandbox.tcs.analytics.potential_notices.job
                      job_id: 6588064b-38d5-4f01-b93c-795dbec4a5df
                      tan: AHMA09719B
                      quarter: Q3
                      financial_year: FY 2023-24
                      status: created
                      created_at: 1709026684599
                      json_url: >-
                        https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/AHMS45586C/FY+2025-26/Q3/26Q/4049c226-4988-4978-b5ad-d25705453da8/26Q_validation_report.xlsx
                200 Submitted Job will fail:
                  value:
                    code: 200
                    timestamp: 1763633700000
                    transaction_id: 05a3f586-5b2c-4f62-9f56-6600fcf9bc85
                    data:
                      '@entity': in.co.sandbox.tcs.analytics.potential_notices.job
                      job_id: 05a3f586-5b2c-4f62-9f56-6600fcf9bc85
                      tan: BLRC23456F
                      quarter: Q3
                      financial_year: FY 2023-24
                      status: created
                      created_at: 1709026684599
                      json_url: >-
                        https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/AHMS45586C/FY+2025-26/Q3/26Q/4049c226-4988-4978-b5ad-d25705453da8/26Q_validation_report.xlsx
        '422':
          description: 422 - Unprocessable Entity
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  timestamp:
                    type: integer
                  transaction_id:
                    type: string
                  message:
                    type: string
              examples:
                422 Invalid TAN:
                  value:
                    code: 422
                    timestamp: 1763633700000
                    transaction_id: ed94514f-b51b-434e-9a0e-8e655192031a
                    message: 'Invalid TAN: DABC2345DD'
                422 Invalid Quarter:
                  value:
                    code: 422
                    timestamp: 1763633700000
                    transaction_id: 6a506aff-70bd-4e86-ac7c-4ba51a5a87d2
                    message: 'Invalid quarter: Q5'
                422 Invalid Financial Year:
                  value:
                    code: 422
                    timestamp: 1763633700000
                    transaction_id: 7b21bee8-bb21-4f60-a5ae-73a16b073cb2
                    message: 'Invalid financial year: 2022'

````